FORMAX DEVELOPER API
  1. Recharge API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Recharge API

Recharge Transaction

POST
https://api.formaxpay.com/api/recharge/transaction
This API is used to initiate a recharge transaction for a given mobile/DTH number using the Formax platform. It processes the recharge in real time and returns the transaction status along with reference details.
Operator Codes
Use the following operator_id values while initiating a recharge transaction:
Airtel = 1
BSNL Topup = 2
BSNL Special = 3
JIO = 4
Vi = 5
Airtel Digital TV = 6
Dish TV = 7
Sun Direct = 8
Tata Sky = 9
Videocon D2H = 10
Google Play = 47
Live Operator Codes
Airtel (Live) = 81
BSNL Topup (Live) = 82
BSNL Special (Live) = 83
JIO (Live) = 84
Vi (Live) = 85
Airtel Digital TV (Live) = 86
Dish TV (Live) = 87
Sun Direct (Live) = 88
Tata Sky (Live) = 89
Videocon D2H (Live) = 90

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/recharge/transaction' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "operator_id": "1",
    "number": "9748636563",
    "amount": "10",
    "p_order_id": "P12345678930001"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Transaction Successful",
    "data": {
        "number": "9748636563",
        "amount": 10,
        "operator_id": "1",
        "operator_name": "Airtel",
        "debit_amount": "9.88",
        "opening_bal": "273.50",
        "closing_bal": "263.62",
        "order_id": "R58007812500000KIDZV",
        "partner_order_id": "P12345678930001",
        "operator_ref_id": "845642365",
        "commercial_amount": "0.12",
        "tds_amount": "0.00",
        "timestamp": "2025-12-23 16:35:12"
    }
}
Modified at 2025-12-24 12:53:57
Previous
Recharge API
Next
Recharge Transaction
Built with